<!DOCTYPE HTML>
<!--
	Massively by HTML5 UP
	html5up.net | @ajlkn
	Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
-->
<html>
	<head>
		<title> Input Devices</title>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
		<link rel="stylesheet" href="../assets/css/main.css" />
		<noscript><link rel=".../stylesheet" href="../assets/css/noscript.css" /></noscript>
	</head>
	<body class="is-preload">

		<!-- Wrapper -->
			<div id="wrapper">

				<!-- Header -->
					<header id="header">
						<a href="Inputs.html" class="logo">back to fab </a>
					</header>

				<!-- Nav -->
					<nav id="nav">
						<ul class="links">
							<li><a href="FabAcademy.html">back to fab</a></li>
							<li class="active"><a href="Inputs.html"> Input Devices</a></li>
						</ul>
						<ul class="icons">
							<li><a href="#" class="icon brands fa-twitter"><span class="label">Twitter</span></a></li>
							<li><a href="#" class="icon brands fa-facebook-f"><span class="label">Facebook</span></a></li>
							<li><a href="#" class="icon brands fa-instagram"><span class="label">Instagram</span></a></li>
							<li><a href="#" class="icon brands fa-github"><span class="label">GitHub</span></a></li>
						</ul>
					</nav>

				<!-- Main -->
					<div id="main">

						<!-- Post -->
							<section class="post">
								<header class="major">
									<h1> Input devices <br />
									</h1>
									<p> Create Input through a temprature sensor</p>
								</header>

				<div class="image main"><img src="../images/fab/inputs outputs/temp.jpeg" alt="" /> </div>

<p> For this weeks assignment some of our classmates that are very familiar with input and output devices, decided to form a group so they can help us with the assignments. Here you can see the input part. </p>

<br> </br>
<h2> Reading the Sensor </h2>
To start of the assignment we just compiled an AnalogeReadSerial code to make sure the sensor was colecting data.
    <br>    <img src="../images/fab/inputs outputs/reading sensor.png" alt=" "width="50%" />
		<br>		<a href="../images/fab/inputs outputs/temp sensor/temp sensor.rar" > Reading a sensor</a>

<h2> </h2>
After making sure that the sensor was working corectly we went online to find an example of a temprature sensor code.
As i mentioned before we did this assignement through Zoom with some of my classmates. So in the process we found 2 different codes and downloaded them to try them out.
 Both of them gave readings that did not much at all with the temprature of my room, so after unsuccesfully trying to find a solution we then found another one.
<p>As far as to why the first codes didn't work for me, i think that there are 2 scenarios: a)  in one of them the code was writen for a different kind of sensor to the one i have, b) For the other one the code had an error in the equation that it uses.</p>
<img src="../images/fab/inputs outputs/2 codes for temp .png" alt=" "width="100%" />

<br> </br>

<h2> New code</h2>
 This on seemed to be working very well after we changed the delay from 500 to 1000 milliseconds and adding the corect pin number that the sensor is attached to, so i proceeded the assignment using it.
As you can see from the picture and the file attached, it also reads Farheneit and volts which we don't care about so i deleted them later.
<br> </br> <img src="../images/fab/inputs outputs/temprature sensor corect reading.png" alt=" "width="100%" />
<br>		<a href="../images/fab/inputs outputs/temp sens/temp sensor.rar" > Initial Temprature Sensor</a>

<br> </br>
<h2>Understanding the code </h2>
<p> Understanding and making sense of the code was very easy because the documentation on the side of the code was extremely well written and clear.</p>
<p>
The code starts by setting an int for the Pin that is connected with the sensor.
- int sensorPin = 0; </p>
Then it states the Serial.begin(9600); to 9600 which is very important to be the same in the serialmonitor.
<p>Then it sets a void loop  and an int reading = analogRead to be able to get the voltage from the sensor. </p>
<p>Then it calls a float TempratureC =(voltage - 0.5) *100 ; </p>
<p>And last but not least it calls a Serial.print (temperatureC); Serial.printIn("degrees C") so we can see on the serial monitor the exact temprature readings. </p>


				</section>



				 	</div>

				<!-- Footer -->
					<footer id="footer">

							<section>
								<h3>Social</h3>
								<ul class="icons alt">
									<li><a href="#" class="icon brands alt fa-twitter"><span class="label">Twitter</span></a></li>
									<li><a href="#" class="icon brands alt fa-facebook-f"><span class="label">Facebook</span></a></li>
									<li><a href="#" class="icon brands alt fa-instagram"><span class="label">Instagram</span></a></li>
									<li><a href="#" class="icon brands alt fa-github"><span class="label">GitHub</span></a></li>
								</ul>
							</section>
						</section>
					</footer>

				<!-- Copyright -->
					<div id="copyright">
						<ul><li>&copy; Untitled</li><li>Design: <a href="https://html5up.net">HTML5 UP</a></li></ul>
					</div>

			</div>

		<!-- Scripts -->
			<script src="assets/js/jquery.min.js"></script>
			<script src="assets/js/jquery.scrollex.min.js"></script>
			<script src="assets/js/jquery.scrolly.min.js"></script>
			<script src="assets/js/browser.min.js"></script>
			<script src="assets/js/breakpoints.min.js"></script>
			<script src="assets/js/util.js"></script>
			<script src="assets/js/main.js"></script>

	</body>
</html>
